3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php function will_throw_exception() { throw new Exception('My very best exception'); } try { will_throw_exception(); } catch (Exception $e) { echo 'Caught exception: ' . $e->getMessage(); throw new Exception('fuck it'); } finally { echo PHP_EOL."Finally"; }
based on f8d8O
Output for 7.0.0 - 7.3.0rc3
Caught exception: My very best exception Finally Fatal error: Uncaught Exception: fuck it in /in/bbVDe:12 Stack trace: #0 {main} thrown in /in/bbVDe on line 12
Process exited with code 255.
Output for hhvm-3.15.4
Caught exception: My very best exception Finally Fatal error: Uncaught exception 'Exception' with message 'fuck it' in /in/bbVDe:12 Stack trace: #0 {main}
Process exited with code 255.
Output for 5.6.0 - 5.6.30
Caught exception: My very best exception Finally Fatal error: Uncaught exception 'Exception' with message 'fuck it' in /in/bbVDe:12 Stack trace: #0 {main} thrown in /in/bbVDe on line 12
Process exited with code 255.